import { NodeEntry, Range } from 'slate';
import { SPEditor } from '../SPEditor';
/**
 * Function used to decorate ranges.
 * If the function returns undefined then no ranges are modified.
 * If the function returns an array the returned ranges are merged with the ranges called by other plugins.
 */
export declare type Decorate = (editor: SPEditor) => (entry: NodeEntry) => Range[] | undefined;
//# sourceMappingURL=Decorate.d.ts.map